package dev.fitko.fitconnect.api.domain.model.metadata.data;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.fasterxml.jackson.annotation.JsonProperty;
import dev.fitko.fitconnect.api.domain.model.metadata.EidasAdesProfile;
import dev.fitko.fitconnect.api.domain.model.metadata.SignatureFormat;
import lombok.Data;

import java.util.Map;

@Data
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Signature {

    @JsonProperty("signatureFormat")
    private SignatureFormat signatureFormat;

    @JsonProperty("eidasAdesProfile")
    private EidasAdesProfile eidasAdesProfile;

    @JsonProperty("detachedSignature")
    private Boolean detachedSignature;

    @JsonProperty("content")
    private String content;

    @JsonIgnore
    private Map<String, Object> additionalProperties;
}

